img-pixmap(3tk)

NAME
img-pixmap - Img, Pixmap Image type (pixmap)

SYNOPSIS
package require Tk

package require img::pixmap ?1.4?

image create pixmap ?name? ?options?

imageName option ?arg arg ...?

imageName cget option

imageName configure ?option? ?value option value ...?

DESCRIPTION
The package img::pixmap is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::pixmap.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image.

In contrast to all other sub packages this packages does not extend Tk's photo image type, but rather provides a completely new image type, on the same level as photo and bitmap.

CREATING PIXMAPS
Like all images, pixmaps are created using the image create command.

image create pixmap ?name? ?options?
    Pixmaps support the following options:

    -data string
        Specifies the contents of the source pixmap as a string. The string must adhere to X11 pixmap format (e.g., as generated by the pixmap program). If both the -data and -file options are specified, the -data option takes precedence.

    -file name
        name gives the name of a file whose contents define the source pixmap. The file must adhere to X11 pixmap format (e.g., as generated by the pixmap program).

IMAGE COMMAND
When a pixmap image is created, Tk also creates a new command whose name is the same as the image. This command may be used to invoke various operations on the image. It has the following general form:

imageName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for pixmap images:

imageName cget option
    Returns the current value of the configuration option given by option. Option may have any of the values accepted by the image create pixmap command.

imageName configure ?option? ?value option value ...?
    Query or modify the configuration options for the image. If no option is specified, returns a list describing all of the available options for imageName (see Tk_ConfigureInfo for information on the format of this list). If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the image create pixmap command.

SEE ALSO
img-bmp, img-dted, img-flir, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, pixmap, tk

COPYRIGHT
Copyright (c) 1995-2023 Jan Nijtmans <nijtmans@users.sourceforge.net>